我相信这包含了你想要的
- (defun c:tktag2set (/ tsize tcircr)
- (if (not (getenv "tag:tsize"))
- (setenv "tag:tsize" (rtos (getvar "TEXTSIZE")))
- ) ; end if
- (if (not (getenv "tag:tcircr"))
- (setenv "tag:tcircr" "4.2")
- ) ; end if
- (princ
- (strcat "\nCurrent Settings:"
- "\n\tText Height: "
- (getenv "tag:tsize")
- ",\tText Circle Radius @ 1:1: "
- (getenv "tag:tcircr")
- ) ; end strcat
- ) ; end princ
- (if (setq tsize (getreal (strcat
- "\nSpecify Text Height <"
- (getenv "tag:tsize")
- ">: ")))
- (setenv "tag:tsize" (rtos tsize))
- ) ; end if
- (if (setq tcircr (getreal (strcat
- "\nSpecify Text Circle Radius @ 1:1 <"
- (getenv "tag:tcircr")
- ">: ")))
- (setenv "tag:tcircr" (rtos tcircr))
- ) ; end if
- (princ "\nBase Variables Set.")
- (princ)
- ) ; end program
-
|